Log in or register to post comments

can load unity package?

July 5, 2013 - 11:51am #1

Vuforia SDK Version: 2.5 -

Description with steps to reproduce:

 

 
I just down loaded the file vuforia-unity-android-ios-2-5-8.unitypackage 
when I try to open this in unity I get this , I get this both on the mac and windows computer? 
 
 
Assets/Qualcomm Augmented Reality/Scripts/Internal/BGRenderingBehaviour.cs(40,31): warning CS0618: `UnityEngine.GameObject.active' is obsolete: `GameObject.active is obsolete. Use GameObject.SetActive(), GameObject.activeSelf or GameObject.activeInHierarchy.'
 
Thanks
Morris May
 

 

-

Development OS (Mac OS X, Windows, Linux): both mac and Window -

Mobile OS and Version: 5 -

Mobile Device Manufacturer and Model name: apple iphone -

Do the Vuforia Sample Applications show the same behavior?:

can load unity package?

July 11, 2013 - 3:12am #10

Not really sure what to suggest, because it is easy:

1 - Create an empty new Unity project using Unity 4.1.X latest

2 - Import the ImageTargets Unity package that installs all the scripts, scenes etc.

3 - Open up the 4th Scene containing the Image Targets - and press play (if you have Unity Pro) - this will run it in play mode

4 - To run on the device, go to build settings and change to the device (iOS as an example), and drag all 4 scenes into the dialog

5 - Set up your bundle identfier (iOS) and then click Build and Run, and it will prompt you for a directory to build the XCode project.

6 - After a few minutes it should be running on the device.

 

N

can load unity package?

July 10, 2013 - 12:18pm #9

 

 

Yep, I have done all that, the frustrating  part is that I can't get any of the demo programs to run.

 

but I have not quite yet...

 
thanks

 

 

can load unity package?

July 10, 2013 - 2:40am #8

It is great to hear that you are excited by Vuforia.

 

Is there a way to so a skype call or something like this,

Sorry, we do not offer this level of support through the forums

 

I just want to get started and am really excited.

My suggestion is to read the documentation on the web site, start running the samples and go through the tutorials.

https://developer.vuforia.com/resources/tutorials

 

However you need patience as AR can be a complex topic.

 

N

can load unity package?

July 9, 2013 - 9:22am #7

yes I tryed this,  thank you for you help.

I am really new to unity and develpiment so I thank you for your help.

Is there a way to so a skype call or something like this, I just want to get started and am really excited.

 

So I load the file 

 vuforia-unity-android-ios-2-5-8.unitypackage

and I then crate a image target and load that into unity. 

However under data set load behavior of the AR cam I a not able to click my Image target to load.

also the same under the image target

under image target behavior I dont see anything working.

 

I added some image to help

thank you for your help

 

 

 

 

AttachmentSize
Image icon picA.PNG21.3 KB
Image icon picB.PNG22.73 KB
Image icon old_file.PNG60.33 KB
Image icon old_fileA.PNG34.17 KB

can load unity package?

July 9, 2013 - 1:07am #6

The error messages are harmless.

Have you got Pause on Error clicked in Unity?

..as this may prevent further execution of the app.

 

N

can load unity package?

July 8, 2013 - 3:50pm #5

ya, I tryed that, the really strange thing is is was working  but now I can get anything to work.

I load in the demo program "imagetargets-2-5-8"

the scripts from Vuforia are not working proerly I think?  

I am unable to set an image target? I am using pro. 

 

i get this

Assets/Qualcomm Augmented Reality/Scripts/Internal/BGRenderingBehaviour.cs(40,31): warning CS0618: `UnityEngine.GameObject.active' is obsolete: `GameObject.active is obsolete. Use GameObject.SetActive(), GameObject.activeSelf or GameObject.activeInHierarchy.'

and this 

Assets/Qualcomm Augmented Reality/Scripts/Internal/BGRenderingBehaviour.cs(41,31): warning CS0618: `UnityEngine.GameObject.SetActiveRecursively(bool)' is obsolete: `gameObject.SetActiveRecursively() is obsolete. Use GameObject.SetActive(), which is now inherited by children.'

 

 

and with a fresh project I just open the file

 vuforia-unity-android-ios-2-5-8

 

and I get 

 

Assets/Qualcomm Augmented Reality/Scripts/Internal/BGRenderingBehaviour.cs(40,31): warning CS0618: `UnityEngine.GameObject.active' is obsolete: `GameObject.active is obsolete. Use GameObject.SetActive(), GameObject.activeSelf or GameObject.activeInHierarchy.'

Assets/Qualcomm Augmented Reality/Scripts/Internal/BGRenderingBehaviour.cs(41,31): warning CS0618: `UnityEngine.GameObject.SetActiveRecursively(bool)' is obsolete: `gameObject.SetActiveRecursively() is obsolete. Use GameObject.SetActive(), which is now inherited by children.'
 
m_InstanceID == 0
UnityEditor.AssetPreviewUpdater:CreatePreviewForAsset(Object, Object[], String)
 
I enclosed the file if that helps
 
Thanks
Morris 
 

 

 

can load unity package?

July 8, 2013 - 3:19am #4

Try starting from scratch and running one of the samples - import the package into a new Unity project.

BTW if you are using Unity Basic, the webcam feature will not work on this, only on Pro.

N

cant load unity package?

July 6, 2013 - 1:02pm #3

mmm? but it will not run?  

Assets/Qualcomm Augmented Reality/Scripts/Internal/BGRenderingBehaviour.cs(41,31): warning CS0618: `UnityEngine.GameObject.SetActiveRecursively(bool)' is obsolete: `gameObject.SetActiveRecursively() is obsolete. Use GameObject.SetActive(), which is now inherited by children.'
 

And this..

All compiler errors have to be fixed before you can enter playmode!
UnityEditor.SceneView:ShowCompileErrorNotification()
 
I don't have an AR cam in my file, so I cant really get antyhing to work.
Am I doing something wrong?  I think the package in not getting importing  properly? 
 
Thanks

 

Morris 

 

can load unity package?

July 6, 2013 - 12:13am #2

Hi, this is a simple warning, but it should be harmless.

 

Log in or register to post comments